Subject: Post-doctoral position

From: "Rajesh K. Mehra" <[email-masked]>
Date: Thu, 04 Apr 1996 09:10:50 -0800

A post-doctoral position is available to a motivated individual 
interested in working on phytochelatins and related aspects of metal 
tolerance in plants. We are particularly interested in an individual who 
will participate in our on-going reseach on a yeast gene intimately 
involved in phytochelatin production. The salary and benefits are 
competitive and will be according to the rules and regulations of 
the University of California, Riverside. Please send CV and names of 
references by email or regular mail.

-- 
Rajesh K. Mehra
Environmental Toxicology
Boyce Hall
University of California
Riverside, CA 92521

Phone: 909-787-6473
Fax:   909-787-3087